Package org.drinkless.tdlib

# Class TdApi.AnswerPreCheckoutQuery

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.AnswerPreCheckoutQuery

Enclosing class:
  TdApi

public static class TdApi.AnswerPreCheckoutQuery extends TdApi.Function<TdApi.Ok>
Sets the result of a pre-checkout query; for bots only.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `errorMessage`
  An error message, empty on success.
  `long`
  `preCheckoutQueryId`
  Identifier of the pre-checkout query.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnswerPreCheckoutQuery()`
  Default constructor for a function, which sets the result of a pre-checkout query; for bots only.
  `AnswerPreCheckoutQuery(long preCheckoutQueryId, String errorMessage)`
  Creates a function, which sets the result of a pre-checkout query; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### preCheckoutQueryId

    public long preCheckoutQueryId
    Identifier of the pre-checkout query.

  - ### errorMessage

    public String errorMessage
    An error message, empty on success.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AnswerPreCheckoutQuery

    public AnswerPreCheckoutQuery()
    Default constructor for a function, which sets the result of a pre-checkout query; for bots only.

    Returns `Ok`

  - ### AnswerPreCheckoutQuery

    public AnswerPreCheckoutQuery(long preCheckoutQueryId, String errorMessage)
    Creates a function, which sets the result of a pre-checkout query; for bots only.

    Returns `Ok`

    Parameters:
      `preCheckoutQueryId` - Identifier of the pre-checkout query.
      `errorMessage` - An error message, empty on success.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR